Package org.eclipse.graphiti.mm.algorithms.styles.impl

# Class StyleImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.graphiti.mm.impl.StyleContainerImpl
org.eclipse.graphiti.mm.algorithms.styles.impl.StyleImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `AbstractStyle`, `Style`, `StyleContainer`

public class StyleImpl extends StyleContainerImpl implements Style
An implementation of the model object 'Style'.

The following features are implemented:

- `Background`
- `Foreground`
- `Line Width`
- `Line Style`
- `Filled`
- `Line Visible`
- `Rendering Style`
- `Transparency`
- `Id`
- `Description`
- `Font`
- `Horizontal Alignment`
- `Vertical Alignment`
- `Angle`
- `Stretch H`
- `Stretch V`
- `Proportional`
- `Style Container`
- `Rotation`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Integer`
`angle`
The cached value of the '`Angle`' attribute.
`protected static final Integer`
`ANGLE_EDEFAULT`
The default value of the '`Angle`' attribute.
`protected Color`
`background`
The cached value of the '`Background`' reference.
`protected String`
`description`
The cached value of the '`Description`' attribute.
`protected static final String`
`DESCRIPTION_EDEFAULT`
The default value of the '`Description`' attribute.
`protected Boolean`
`filled`
The cached value of the '`Filled`' attribute.
`protected static final Boolean`
`FILLED_EDEFAULT`
The default value of the '`Filled`' attribute.
`protected boolean`
`filledESet`
This is true if the Filled attribute has been set.
`protected Font`
`font`
The cached value of the '`Font`' reference.
`protected Color`
`foreground`
The cached value of the '`Foreground`' reference.
`protected static final Orientation`
`HORIZONTAL_ALIGNMENT_EDEFAULT`
The default value of the '`Horizontal Alignment`' attribute.
`protected Orientation`
`horizontalAlignment`
The cached value of the '`Horizontal Alignment`' attribute.
`protected String`
`id`
The cached value of the '`Id`' attribute.
`protected static final String`
`ID_EDEFAULT`
The default value of the '`Id`' attribute.
`protected static final LineStyle`
`LINE_STYLE_EDEFAULT`
The default value of the '`Line Style`' attribute.
`protected static final Boolean`
`LINE_VISIBLE_EDEFAULT`
The default value of the '`Line Visible`' attribute.
`protected static final Integer`
`LINE_WIDTH_EDEFAULT`
The default value of the '`Line Width`' attribute.
`protected LineStyle`
`lineStyle`
The cached value of the '`Line Style`' attribute.
`protected Boolean`
`lineVisible`
The cached value of the '`Line Visible`' attribute.
`protected boolean`
`lineVisibleESet`
This is true if the Line Visible attribute has been set.
`protected Integer`
`lineWidth`
The cached value of the '`Line Width`' attribute.
`protected Boolean`
`proportional`
The cached value of the '`Proportional`' attribute.
`protected static final Boolean`
`PROPORTIONAL_EDEFAULT`
The default value of the '`Proportional`' attribute.
`protected RenderingStyle`
`renderingStyle`
The cached value of the '`Rendering Style`' containment reference.
`protected Double`
`rotation`
The cached value of the '`Rotation`' attribute.
`protected static final Double`
`ROTATION_EDEFAULT`
The default value of the '`Rotation`' attribute.
`protected static final Boolean`
`STRETCH_H_EDEFAULT`
The default value of the '`Stretch H`' attribute.
`protected static final Boolean`
`STRETCH_V_EDEFAULT`
The default value of the '`Stretch V`' attribute.
`protected Boolean`
`stretchH`
The cached value of the '`Stretch H`' attribute.
`protected Boolean`
`stretchV`
The cached value of the '`Stretch V`' attribute.
`protected Double`
`transparency`
The cached value of the '`Transparency`' attribute.
`protected static final Double`
`TRANSPARENCY_EDEFAULT`
The default value of the '`Transparency`' attribute.
`protected static final Orientation`
`VERTICAL_ALIGNMENT_EDEFAULT`
The default value of the '`Vertical Alignment`' attribute.
`protected Orientation`
`verticalAlignment`
The cached value of the '`Vertical Alignment`' attribute.

### Fields inherited from class org.eclipse.graphiti.mm.impl.StyleContainerImpl

`styles`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`StyleImpl()`

## Method Summary

Modifier and Type
Method
Description
`Color`
`basicGetBackground()`
`Font`
`basicGetFont()`
`Color`
`basicGetForeground()`
`RenderingStyle`
`basicGetRenderingStyle()`
`StyleContainer`
`basicGetStyleContainer()`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetRenderingStyle(RenderingStyle newRenderingStyle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetStyleContainer(StyleContainer newStyleContainer, org.eclipse.emf.common.notify.NotificationChain msgs)`
`int`
`eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)`
`org.eclipse.emf.common.notify.NotificationChain`
`eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`int`
`eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`Integer`
`getAngle()`
`Color`
`getBackground()`
`String`
`getDescription()`
`Boolean`
`getFilled()`
`Font`
`getFont()`
`Color`
`getForeground()`
`Orientation`
`getHorizontalAlignment()`
`String`
`getId()`
`LineStyle`
`getLineStyle()`
`Boolean`
`getLineVisible()`
`Integer`
`getLineWidth()`
`Boolean`
`getProportional()`
`RenderingStyle`
`getRenderingStyle()`
`Double`
`getRotation()`
`Boolean`
`getStretchH()`
`Boolean`
`getStretchV()`
`StyleContainer`
`getStyleContainer()`
`Double`
`getTransparency()`
`Orientation`
`getVerticalAlignment()`
`boolean`
`isSetFilled()`
`boolean`
`isSetLineVisible()`
`void`
`setAngle(Integer newAngle)`
`void`
`setBackground(Color newBackground)`
`void`
`setDescription(String newDescription)`
`void`
`setFilled(Boolean newFilled)`
`void`
`setFont(Font newFont)`
`void`
`setForeground(Color newForeground)`
`void`
`setHorizontalAlignment(Orientation newHorizontalAlignment)`
`void`
`setId(String newId)`
`void`
`setLineStyle(LineStyle newLineStyle)`
`void`
`setLineVisible(Boolean newLineVisible)`
`void`
`setLineWidth(Integer newLineWidth)`
`void`
`setProportional(Boolean newProportional)`
`void`
`setRenderingStyle(RenderingStyle newRenderingStyle)`
`void`
`setRotation(Double newRotation)`
`void`
`setStretchH(Boolean newStretchH)`
`void`
`setStretchV(Boolean newStretchV)`
`void`
`setStyleContainer(StyleContainer newStyleContainer)`
`void`
`setTransparency(Double newTransparency)`
`void`
`setVerticalAlignment(Orientation newVerticalAlignment)`
`String`
`toString()`
`void`
`unsetFilled()`
`void`
`unsetLineVisible()`

### Methods inherited from class org.eclipse.graphiti.mm.impl.StyleContainerImpl

`getStyles`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.StyleContainer

`getStyles`

## Field Details

### background

protected Color background
The cached value of the '`Background`' reference.

See Also:
  - `getBackground()`

### foreground

protected Color foreground
The cached value of the '`Foreground`' reference.

See Also:
  - `getForeground()`

### LINE_WIDTH_EDEFAULT

protected static final Integer LINE_WIDTH_EDEFAULT
The default value of the '`Line Width`' attribute.

See Also:
  - `getLineWidth()`

### lineWidth

protected Integer lineWidth
The cached value of the '`Line Width`' attribute.

See Also:
  - `getLineWidth()`

### LINE_STYLE_EDEFAULT

protected static final LineStyle LINE_STYLE_EDEFAULT
The default value of the '`Line Style`' attribute.

See Also:
  - `getLineStyle()`

### lineStyle

protected LineStyle lineStyle
The cached value of the '`Line Style`' attribute.

See Also:
  - `getLineStyle()`

### FILLED_EDEFAULT

protected static final Boolean FILLED_EDEFAULT
The default value of the '`Filled`' attribute.

See Also:
  - `getFilled()`

### filled

protected Boolean filled
The cached value of the '`Filled`' attribute.

See Also:
  - `getFilled()`

### filledESet

protected boolean filledESet
This is true if the Filled attribute has been set.

### LINE_VISIBLE_EDEFAULT

protected static final Boolean LINE_VISIBLE_EDEFAULT
The default value of the '`Line Visible`' attribute.

See Also:
  - `getLineVisible()`

### lineVisible

protected Boolean lineVisible
The cached value of the '`Line Visible`' attribute.

See Also:
  - `getLineVisible()`

### lineVisibleESet

protected boolean lineVisibleESet
This is true if the Line Visible attribute has been set.

### renderingStyle

protected RenderingStyle renderingStyle
The cached value of the '`Rendering Style`' containment reference.

See Also:
  - `getRenderingStyle()`

### TRANSPARENCY_EDEFAULT

protected static final Double TRANSPARENCY_EDEFAULT
The default value of the '`Transparency`' attribute.

See Also:
  - `getTransparency()`

### transparency

protected Double transparency
The cached value of the '`Transparency`' attribute.

See Also:
  - `getTransparency()`

### ID_EDEFAULT

protected static final String ID_EDEFAULT
The default value of the '`Id`' attribute.

See Also:
  - `getId()`

### id

protected String id
The cached value of the '`Id`' attribute.

See Also:
  - `getId()`

### DESCRIPTION_EDEFAULT

protected static final String DESCRIPTION_EDEFAULT
The default value of the '`Description`' attribute.

See Also:
  - `getDescription()`

### description

protected String description
The cached value of the '`Description`' attribute.

See Also:
  - `getDescription()`

### font

protected Font font
The cached value of the '`Font`' reference.

See Also:
  - `getFont()`

### HORIZONTAL_ALIGNMENT_EDEFAULT

protected static final Orientation HORIZONTAL_ALIGNMENT_EDEFAULT
The default value of the '`Horizontal Alignment`' attribute.

See Also:
  - `getHorizontalAlignment()`

### horizontalAlignment

protected Orientation horizontalAlignment
The cached value of the '`Horizontal Alignment`' attribute.

See Also:
  - `getHorizontalAlignment()`

### VERTICAL_ALIGNMENT_EDEFAULT

protected static final Orientation VERTICAL_ALIGNMENT_EDEFAULT
The default value of the '`Vertical Alignment`' attribute.

See Also:
  - `getVerticalAlignment()`

### verticalAlignment

protected Orientation verticalAlignment
The cached value of the '`Vertical Alignment`' attribute.

See Also:
  - `getVerticalAlignment()`

### ANGLE_EDEFAULT

protected static final Integer ANGLE_EDEFAULT
The default value of the '`Angle`' attribute.

See Also:
  - `getAngle()`

### angle

protected Integer angle
The cached value of the '`Angle`' attribute.

See Also:
  - `getAngle()`

### STRETCH_H_EDEFAULT

protected static final Boolean STRETCH_H_EDEFAULT
The default value of the '`Stretch H`' attribute.

See Also:
  - `getStretchH()`

### stretchH

protected Boolean stretchH
The cached value of the '`Stretch H`' attribute.

See Also:
  - `getStretchH()`

### STRETCH_V_EDEFAULT

protected static final Boolean STRETCH_V_EDEFAULT
The default value of the '`Stretch V`' attribute.

See Also:
  - `getStretchV()`

### stretchV

protected Boolean stretchV
The cached value of the '`Stretch V`' attribute.

See Also:
  - `getStretchV()`

### PROPORTIONAL_EDEFAULT

protected static final Boolean PROPORTIONAL_EDEFAULT
The default value of the '`Proportional`' attribute.

See Also:
  - `getProportional()`

### proportional

protected Boolean proportional
The cached value of the '`Proportional`' attribute.

See Also:
  - `getProportional()`

### ROTATION_EDEFAULT

protected static final Double ROTATION_EDEFAULT
The default value of the '`Rotation`' attribute.

See Also:
  - `getRotation()`

### rotation

protected Double rotation
The cached value of the '`Rotation`' attribute.

See Also:
  - `getRotation()`

## Constructor Details

### StyleImpl

protected StyleImpl()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `StyleContainerImpl`

### getBackground

public Color getBackground()

Specified by:
  `getBackground` in interface `AbstractStyle`
Returns:
  the value of the 'Background' reference.
See Also:
  - `AbstractStyle.setBackground(Color)`
  - `StylesPackage.getAbstractStyle_Background()`

### basicGetBackground

public Color basicGetBackground()

### setBackground

public void setBackground(Color newBackground)

Specified by:
  `setBackground` in interface `AbstractStyle`
Parameters:
  `newBackground` - the new value of the 'Background' reference.
See Also:
  - `AbstractStyle.getBackground()`

### getForeground

public Color getForeground()

Specified by:
  `getForeground` in interface `AbstractStyle`
Returns:
  the value of the 'Foreground' reference.
See Also:
  - `AbstractStyle.setForeground(Color)`
  - `StylesPackage.getAbstractStyle_Foreground()`

### basicGetForeground

public Color basicGetForeground()

### setForeground

public void setForeground(Color newForeground)

Specified by:
  `setForeground` in interface `AbstractStyle`
Parameters:
  `newForeground` - the new value of the 'Foreground' reference.
See Also:
  - `AbstractStyle.getForeground()`

### getLineWidth

public Integer getLineWidth()

Specified by:
  `getLineWidth` in interface `AbstractStyle`
Returns:
  the value of the 'Line Width' attribute.
See Also:
  - `AbstractStyle.setLineWidth(Integer)`
  - `StylesPackage.getAbstractStyle_LineWidth()`

### setLineWidth

public void setLineWidth(Integer newLineWidth)

Specified by:
  `setLineWidth` in interface `AbstractStyle`
Parameters:
  `newLineWidth` - the new value of the 'Line Width' attribute.
See Also:
  - `AbstractStyle.getLineWidth()`

### getLineStyle

public LineStyle getLineStyle()

Specified by:
  `getLineStyle` in interface `AbstractStyle`
Returns:
  the value of the 'Line Style' attribute.
See Also:
  - `LineStyle`
  - `AbstractStyle.setLineStyle(LineStyle)`
  - `StylesPackage.getAbstractStyle_LineStyle()`

### setLineStyle

public void setLineStyle(LineStyle newLineStyle)

Specified by:
  `setLineStyle` in interface `AbstractStyle`
Parameters:
  `newLineStyle` - the new value of the 'Line Style' attribute.
See Also:
  - `LineStyle`
  - `AbstractStyle.getLineStyle()`

### getFilled

public Boolean getFilled()

Specified by:
  `getFilled` in interface `AbstractStyle`
Returns:
  the value of the 'Filled' attribute.
See Also:
  - `AbstractStyle.isSetFilled()`
  - `AbstractStyle.unsetFilled()`
  - `AbstractStyle.setFilled(Boolean)`
  - `StylesPackage.getAbstractStyle_Filled()`

### setFilled

public void setFilled(Boolean newFilled)

Specified by:
  `setFilled` in interface `AbstractStyle`
Parameters:
  `newFilled` - the new value of the 'Filled' attribute.
See Also:
  - `AbstractStyle.isSetFilled()`
  - `AbstractStyle.unsetFilled()`
  - `AbstractStyle.getFilled()`

### unsetFilled

public void unsetFilled()

Specified by:
  `unsetFilled` in interface `AbstractStyle`
See Also:
  - `AbstractStyle.isSetFilled()`
  - `AbstractStyle.getFilled()`
  - `AbstractStyle.setFilled(Boolean)`

### isSetFilled

public boolean isSetFilled()

Specified by:
  `isSetFilled` in interface `AbstractStyle`
Returns:
  whether the value of the 'Filled' attribute is set.
See Also:
  - `AbstractStyle.unsetFilled()`
  - `AbstractStyle.getFilled()`
  - `AbstractStyle.setFilled(Boolean)`

### getLineVisible

public Boolean getLineVisible()

Specified by:
  `getLineVisible` in interface `AbstractStyle`
Returns:
  the value of the 'Line Visible' attribute.
See Also:
  - `AbstractStyle.isSetLineVisible()`
  - `AbstractStyle.unsetLineVisible()`
  - `AbstractStyle.setLineVisible(Boolean)`
  - `StylesPackage.getAbstractStyle_LineVisible()`

### setLineVisible

public void setLineVisible(Boolean newLineVisible)

Specified by:
  `setLineVisible` in interface `AbstractStyle`
Parameters:
  `newLineVisible` - the new value of the 'Line Visible' attribute.
See Also:
  - `AbstractStyle.isSetLineVisible()`
  - `AbstractStyle.unsetLineVisible()`
  - `AbstractStyle.getLineVisible()`

### unsetLineVisible

public void unsetLineVisible()

Specified by:
  `unsetLineVisible` in interface `AbstractStyle`
See Also:
  - `AbstractStyle.isSetLineVisible()`
  - `AbstractStyle.getLineVisible()`
  - `AbstractStyle.setLineVisible(Boolean)`

### isSetLineVisible

public boolean isSetLineVisible()

Specified by:
  `isSetLineVisible` in interface `AbstractStyle`
Returns:
  whether the value of the 'Line Visible' attribute is set.
See Also:
  - `AbstractStyle.unsetLineVisible()`
  - `AbstractStyle.getLineVisible()`
  - `AbstractStyle.setLineVisible(Boolean)`

### getRenderingStyle

public RenderingStyle getRenderingStyle()

Specified by:
  `getRenderingStyle` in interface `AbstractStyle`
Returns:
  the value of the 'Rendering Style' containment reference.
See Also:
  - `AbstractStyle.setRenderingStyle(RenderingStyle)`
  - `StylesPackage.getAbstractStyle_RenderingStyle()`

### basicGetRenderingStyle

public RenderingStyle basicGetRenderingStyle()

### basicSetRenderingStyle

public org.eclipse.emf.common.notify.NotificationChain basicSetRenderingStyle(RenderingStyle newRenderingStyle, org.eclipse.emf.common.notify.NotificationChain msgs)

### setRenderingStyle

public void setRenderingStyle(RenderingStyle newRenderingStyle)

Specified by:
  `setRenderingStyle` in interface `AbstractStyle`
Parameters:
  `newRenderingStyle` - the new value of the 'Rendering Style' containment reference.
See Also:
  - `AbstractStyle.getRenderingStyle()`

### getTransparency

public Double getTransparency()

Specified by:
  `getTransparency` in interface `AbstractStyle`
Returns:
  the value of the 'Transparency' attribute.
See Also:
  - `AbstractStyle.setTransparency(Double)`
  - `StylesPackage.getAbstractStyle_Transparency()`

### setTransparency

public void setTransparency(Double newTransparency)

Specified by:
  `setTransparency` in interface `AbstractStyle`
Parameters:
  `newTransparency` - the new value of the 'Transparency' attribute.
See Also:
  - `AbstractStyle.getTransparency()`

### getId

public String getId()

Specified by:
  `getId` in interface `Style`
Returns:
  the value of the 'Id' attribute.
See Also:
  - `Style.setId(String)`
  - `StylesPackage.getStyle_Id()`

### setId

public void setId(String newId)

Specified by:
  `setId` in interface `Style`
Parameters:
  `newId` - the new value of the 'Id' attribute.
See Also:
  - `Style.getId()`

### getDescription

public String getDescription()

Specified by:
  `getDescription` in interface `Style`
Returns:
  the value of the 'Description' attribute.
See Also:
  - `Style.setDescription(String)`
  - `StylesPackage.getStyle_Description()`

### setDescription

public void setDescription(String newDescription)

Specified by:
  `setDescription` in interface `Style`
Parameters:
  `newDescription` - the new value of the 'Description' attribute.
See Also:
  - `Style.getDescription()`

### getFont

public Font getFont()

Specified by:
  `getFont` in interface `Style`
Returns:
  the value of the 'Font' reference.
See Also:
  - `Style.setFont(Font)`
  - `StylesPackage.getStyle_Font()`

### basicGetFont

public Font basicGetFont()

### setFont

public void setFont(Font newFont)

Specified by:
  `setFont` in interface `Style`
Parameters:
  `newFont` - the new value of the 'Font' reference.
See Also:
  - `Style.getFont()`

### getHorizontalAlignment

public Orientation getHorizontalAlignment()

Specified by:
  `getHorizontalAlignment` in interface `Style`
Returns:
  the value of the 'Horizontal Alignment' attribute.
See Also:
  - `Orientation`
  - `Style.setHorizontalAlignment(Orientation)`
  - `StylesPackage.getStyle_HorizontalAlignment()`

### setHorizontalAlignment

public void setHorizontalAlignment(Orientation newHorizontalAlignment)

Specified by:
  `setHorizontalAlignment` in interface `Style`
Parameters:
  `newHorizontalAlignment` - the new value of the 'Horizontal Alignment' attribute.
See Also:
  - `Orientation`
  - `Style.getHorizontalAlignment()`

### getVerticalAlignment

public Orientation getVerticalAlignment()

Specified by:
  `getVerticalAlignment` in interface `Style`
Returns:
  the value of the 'Vertical Alignment' attribute.
See Also:
  - `Orientation`
  - `Style.setVerticalAlignment(Orientation)`
  - `StylesPackage.getStyle_VerticalAlignment()`

### setVerticalAlignment

public void setVerticalAlignment(Orientation newVerticalAlignment)

Specified by:
  `setVerticalAlignment` in interface `Style`
Parameters:
  `newVerticalAlignment` - the new value of the 'Vertical Alignment' attribute.
See Also:
  - `Orientation`
  - `Style.getVerticalAlignment()`

### getAngle

public Integer getAngle()

Specified by:
  `getAngle` in interface `Style`
Returns:
  the value of the 'Angle' attribute.
See Also:
  - `Style.setAngle(Integer)`
  - `StylesPackage.getStyle_Angle()`

### setAngle

public void setAngle(Integer newAngle)

Specified by:
  `setAngle` in interface `Style`
Parameters:
  `newAngle` - the new value of the 'Angle' attribute.
See Also:
  - `Style.getAngle()`

### getStretchH

public Boolean getStretchH()

Specified by:
  `getStretchH` in interface `Style`
Returns:
  the value of the 'Stretch H' attribute.
See Also:
  - `Style.setStretchH(Boolean)`
  - `StylesPackage.getStyle_StretchH()`

### setStretchH

public void setStretchH(Boolean newStretchH)

Specified by:
  `setStretchH` in interface `Style`
Parameters:
  `newStretchH` - the new value of the 'Stretch H' attribute.
See Also:
  - `Style.getStretchH()`

### getStretchV

public Boolean getStretchV()

Specified by:
  `getStretchV` in interface `Style`
Returns:
  the value of the 'Stretch V' attribute.
See Also:
  - `Style.setStretchV(Boolean)`
  - `StylesPackage.getStyle_StretchV()`

### setStretchV

public void setStretchV(Boolean newStretchV)

Specified by:
  `setStretchV` in interface `Style`
Parameters:
  `newStretchV` - the new value of the 'Stretch V' attribute.
See Also:
  - `Style.getStretchV()`

### getProportional

public Boolean getProportional()

Specified by:
  `getProportional` in interface `Style`
Returns:
  the value of the 'Proportional' attribute.
See Also:
  - `Style.setProportional(Boolean)`
  - `StylesPackage.getStyle_Proportional()`

### setProportional

public void setProportional(Boolean newProportional)

Specified by:
  `setProportional` in interface `Style`
Parameters:
  `newProportional` - the new value of the 'Proportional' attribute.
See Also:
  - `Style.getProportional()`

### getStyleContainer

public StyleContainer getStyleContainer()

Specified by:
  `getStyleContainer` in interface `Style`
Returns:
  the value of the 'Style Container' container reference.
See Also:
  - `Style.setStyleContainer(StyleContainer)`
  - `StylesPackage.getStyle_StyleContainer()`
  - `StyleContainer.getStyles()`

### basicGetStyleContainer

public StyleContainer basicGetStyleContainer()

### basicSetStyleContainer

public org.eclipse.emf.common.notify.NotificationChain basicSetStyleContainer(StyleContainer newStyleContainer, org.eclipse.emf.common.notify.NotificationChain msgs)

### setStyleContainer

public void setStyleContainer(StyleContainer newStyleContainer)

Specified by:
  `setStyleContainer` in interface `Style`
Parameters:
  `newStyleContainer` - the new value of the 'Style Container' container reference.
See Also:
  - `Style.getStyleContainer()`

### getRotation

public Double getRotation()

Specified by:
  `getRotation` in interface `Style`
Returns:
  the value of the 'Rotation' attribute.
See Also:
  - `Style.setRotation(Double)`
  - `StylesPackage.getStyle_Rotation()`

### setRotation

public void setRotation(Double newRotation)

Specified by:
  `setRotation` in interface `Style`
Parameters:
  `newRotation` - the new value of the 'Rotation' attribute.
See Also:
  - `Style.getRotation()`

### eInverseAdd

public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `StyleContainerImpl`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `StyleContainerImpl`

### eBasicRemoveFromContainerFeature

public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `StyleContainerImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `StyleContainerImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `StyleContainerImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `StyleContainerImpl`

### eBaseStructuralFeatureID

public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)

Specified by:
  `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eDerivedStructuralFeatureID

public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)

Specified by:
  `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`